Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/OperatorGraph.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("Operator Graph", "Represents a graph of operators.")]
-  [StorableClass]
+  [StorableClass("6C989279-9DD0-4515-AD7C-644AFA0B8FC4")]
   public class OperatorGraph : Item, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ParameterizedNamedItem", "A base class for items which have a name and contain parameters.")]
-  [StorableClass]
+  [StorableClass("C8E2B277-F320-4423-86BE-442033AAB472")]
   public abstract class ParameterizedNamedItem : NamedItem, IParameterizedNamedItem {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Scope.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Scope.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Scope.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Scope", "A scope which contains variables and sub-scopes.")]
-  [StorableClass]
+  [StorableClass("85093877-53A8-44A9-BAFB-CE276BDDC55F")]
   public sealed class Scope : NamedItem, IScope {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/ThreadSafeLog.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/ThreadSafeLog.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/ThreadSafeLog.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Core {
   [Item("ThreadSafeLog", "A thread-safe log for logging string messages.")]
-  [StorableClass]
+  [StorableClass("FFC9ACB8-BEA9-439A-B6D7-E0CBBEBAD297")]
   public sealed class ThreadSafeLog : Item, ILog, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Variable.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Variable.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Variable.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Variable", "A variable which has a name and holds an IItem.")]
-  [StorableClass]
+  [StorableClass("4A6ADEFD-A8DE-4507-B6F9-F17C307EA814")]
   public sealed class Variable : NamedItem, IVariable {
     public override Image ItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/BoolArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/BoolArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/BoolArray.cs	(revision 13368)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Data {
   [Item("BoolArray", "Represents an array of boolean values.")]
-  [StorableClass]
+  [StorableClass("0E6285F8-44C6-4C5E-A1C7-4D5FA847CD73")]
   public class BoolArray : ValueTypeArray<bool>, IStringConvertibleArray {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/BoolMatrix.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/BoolMatrix.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/BoolMatrix.cs	(revision 13368)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Data {
   [Item("BoolMatrix", "Represents a matrix of boolean values.")]
-  [StorableClass]
+  [StorableClass("A4CAEC72-FB75-4F53-96E5-1C2B0B22D21C")]
   public class BoolMatrix : ValueTypeMatrix<bool>, IStringConvertibleMatrix {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/BoolValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/BoolValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/BoolValue.cs	(revision 13368)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Data {
   [Item("BoolValue", "Represents a boolean value.")]
-  [StorableClass]
+  [StorableClass("71C32757-345D-4C04-A5C2-98E5FC6B6F9C")]
   public class BoolValue : ValueTypeValue<bool>, IComparable, IStringConvertibleValue {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Comparison.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Comparison.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Comparison.cs	(revision 13368)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Data {
   [Item("Comparison", "Represents a comparison.")]
-  [StorableClass]
+  [StorableClass("3CBD4966-3BC5-4D21-9048-12B8FBCEDEEB")]
   public class Comparison : ValueTypeValue<ComparisonType>, IComparable {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DateTimeValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DateTimeValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DateTimeValue.cs	(revision 13368)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Data {
   [Item("DateTimeValue", "Represents a date and time value.")]
-  [StorableClass]
+  [StorableClass("872B3F56-2417-47B3-B83F-B2E7D1991521")]
   public class DateTimeValue : ValueTypeValue<DateTime>, IComparable, IStringConvertibleValue {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleArray.cs	(revision 13368)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Data {
   [Item("DoubleArray", "Represents an array of double values.")]
-  [StorableClass]
+  [StorableClass("9728BD08-3506-4E8A-86D1-22AEDFD5377B")]
   public class DoubleArray : ValueTypeArray<double>, IStringConvertibleArray {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleMatrix.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleMatrix.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleMatrix.cs	(revision 13368)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Data {
   [Item("DoubleMatrix", "Represents a matrix of double values.")]
-  [StorableClass]
+  [StorableClass("9ED42B6A-AB01-493A-9841-8AE7A052F3DC")]
   public class DoubleMatrix : ValueTypeMatrix<double>, IStringConvertibleMatrix {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleRange.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleRange.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleRange.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Data {
-  [StorableClass]
+  [StorableClass("63AFDEED-9917-4059-801C-27C4E722C06A")]
   [Item("DoubleRange", "Represents a range of values betweent start and end.")]
   public class DoubleRange : StringConvertibleValueTuple<DoubleValue, DoubleValue> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 13368)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Data {
   [Item("DoubleValue", "Represents a double value.")]
-  [StorableClass]
+  [StorableClass("F93B7F16-10D0-4DFA-98CB-B9F4D57C2EC6")]
   public class DoubleValue : ValueTypeValue<double>, IComparable, IStringConvertibleValue {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/EnumValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/EnumValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/EnumValue.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Data {
   [Item("EnumValue", "An abstract base class for representing values of enum types.")]
-  [StorableClass]
+  [StorableClass("FA49D6E4-FAF3-4A1A-B4A9-5E544A49DD5B")]
   public sealed class EnumValue<T> : ValueTypeValue<T>, IComparable<EnumValue<T>> where T : struct, IComparable {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntArray.cs	(revision 13368)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Data {
   [Item("IntArray", "Represents an array of integer values.")]
-  [StorableClass]
+  [StorableClass("E60ED67C-898E-4AE9-948A-6F05352F2BFC")]
   public class IntArray : ValueTypeArray<int>, IStringConvertibleArray {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntMatrix.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntMatrix.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntMatrix.cs	(revision 13368)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Data {
   [Item("IntMatrix", "Represents a matrix of integer values.")]
-  [StorableClass]
+  [StorableClass("BDDBC9C8-C82B-448C-A07E-4118147901F1")]
   public class IntMatrix : ValueTypeMatrix<int>, IStringConvertibleMatrix {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntRange.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntRange.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntRange.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Data {
-  [StorableClass]
+  [StorableClass("F2583560-A492-4577-B47F-76A6092F7860")]
   [Item("IntRange", "Represents a range of values betweent start and end.")]
   public class IntRange : StringConvertibleValueTuple<IntValue, IntValue> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/IntValue.cs	(revision 13368)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Data {
   [Item("IntValue", "Represents an integer value.")]
-  [StorableClass]
+  [StorableClass("DAD7E1DF-3F1B-4D91-A2B7-45FA6311C559")]
   public class IntValue : ValueTypeValue<int>, IComparable, IStringConvertibleValue {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/DirectoryValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/DirectoryValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/DirectoryValue.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Data {
   [Item("DirectoryValue", "Represents the path to a directory.")]
-  [StorableClass]
+  [StorableClass("1AC44273-E104-4772-A68B-9E3576679C7B")]
   public class DirectoryValue : PathValue {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/FileValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/FileValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/FileValue.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Data {
   [Item("FileValue", "Represents the path to a file.")]
-  [StorableClass]
+  [StorableClass("967E33FB-BC2B-4223-B49D-77F264AF8960")]
   public class FileValue : PathValue {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/PathValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/PathValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/PathValue.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Data {
   [Item("PathValue", "Represents a path.")]
-  [StorableClass]
+  [StorableClass("00E1FB80-85AA-4E5E-8980-5CE855564E5E")]
   public abstract class PathValue : Item {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/TextFileValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/TextFileValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/Path Types/TextFileValue.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Data {
   [Item("TextFile", "Represents the content and path to a text file.")]
-  [StorableClass]
+  [StorableClass("EE466945-E0DC-435C-8AE4-281EE047B60E")]
   public class TextFileValue : FileValue {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/PercentArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/PercentArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/PercentArray.cs	(revision 13368)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Data {
   [Item("PercentArray", "Represents an array of double values in percent.")]
-  [StorableClass]
+  [StorableClass("35CF2041-955E-4C8F-B4D5-67CAD21C7F36")]
   public class PercentArray : DoubleArray {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/PercentMatrix.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/PercentMatrix.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/PercentMatrix.cs	(revision 13368)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Data {
   [Item("PercentMatrix", "Represents a matrix of double values in percent.")]
-  [StorableClass]
+  [StorableClass("8064A11E-894B-471F-9B00-93C09DEC6FCE")]
   public class PercentMatrix : DoubleMatrix {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/PercentValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/PercentValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/PercentValue.cs	(revision 13368)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Data {
   [Item("PercentValue", "Represents a double value in percent.")]
-  [StorableClass]
+  [StorableClass("8E744168-B6DF-4D1F-9D4D-D8B7C886A810")]
   public class PercentValue : DoubleValue {
     [Storable(DefaultValue = false)]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringArray.cs	(revision 13368)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Data {
   [Item("StringArray", "Represents an array of strings.")]
-  [StorableClass]
+  [StorableClass("3FF6ABD3-8692-4E9F-8925-D48A0EEAEB01")]
   public class StringArray : Item, IEnumerable<string>, IStringConvertibleArray {
     private const int maximumToStringLength = 100;
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringConvertibleValueTuple.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringConvertibleValueTuple.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringConvertibleValueTuple.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Data {
-  [StorableClass]
+  [StorableClass("7E40E018-8E89-49DE-926B-924374522E3B")]
   [Item("StringConvertibleValueTuple<,>", "A generic abstract base class for representing multiple values of a string convertible value.")]
   public abstract class StringConvertibleValueTuple<T, U> : Item, IStringConvertibleValueTuple
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringMatrix.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 13368)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Data {
   [Item("StringMatrix", "Represents a matrix of strings.")]
-  [StorableClass]
+  [StorableClass("58752BBE-8760-4A8E-97DF-9E88AE09989E")]
   public class StringMatrix : Item, IEnumerable<string>, IStringConvertibleMatrix {
     private const int maximumToStringLength = 100;
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/StringValue.cs	(revision 13368)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Data {
   [Item("StringValue", "Represents a string.")]
-  [StorableClass]
+  [StorableClass("CC710F2D-C782-4F52-A4B1-51E77A778CA9")]
   public class StringValue : Item, IComparable, IStringConvertibleValue {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/TimeSpanValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/TimeSpanValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/TimeSpanValue.cs	(revision 13368)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Data {
   [Item("TimeSpanValue", "Represents a duration of time.")]
-  [StorableClass]
+  [StorableClass("4F57E126-F139-404A-A210-E3C998C3F11F")]
   public class TimeSpanValue : ValueTypeValue<TimeSpan>, IComparable, IStringConvertibleValue {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/ValueTypeArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 13368)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Data {
   [Item("ValueTypeArray", "An abstract base class for representing arrays of value types.")]
-  [StorableClass]
+  [StorableClass("24C5DD61-14CE-49CA-812D-59874D7DA8A0")]
   public abstract class ValueTypeArray<T> : Item, IEnumerable<T> where T : struct {
     private const int maximumToStringLength = 100;
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/ValueTypeMatrix.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 13368)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Data {
   [Item("ValueTypeMatrix", "An abstract base class for representing matrices of value types.")]
-  [StorableClass]
+  [StorableClass("3711CE5A-0DBF-4D46-AC39-A3A8D129B95A")]
   public abstract class ValueTypeMatrix<T> : Item, IEnumerable<T> where T : struct {
     private const int maximumToStringLength = 100;
Index: /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/ValueTypeValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 13368)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Data {
   [Item("ValueTypeValue", "An abstract base class for representing values of value types.")]
-  [StorableClass]
+  [StorableClass("B0E6DFBB-A3CB-4232-8D82-E8761448EA68")]
   public abstract class ValueTypeValue<T> : Item where T : struct {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.DebugEngine/3.3/DebugEngine.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.DebugEngine/3.3/DebugEngine.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.DebugEngine/3.3/DebugEngine.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableClass("199BD7E0-F6B5-4EA4-90D5-84565F1BA485")]
   [Item("Debug Engine", "Engine for debugging algorithms.")]
   public class DebugEngine : Executable, IEngine {
Index: /branches/PersistenceOverhaul/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableClass("660097D6-3C4E-4A9C-805B-B88A19D8B2E9")]
   public class ExecutionStack : ObservableList<IOperation>, IContent, IDeepCloneable {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableClass("9750C31C-939F-4F4D-8C02-87E790D78695")]
   public class OperatorTrace : ObservableList<IOperator>, IContent, IDeepCloneable {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVector.cs	(revision 13368)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
-  [StorableClass]
+  [StorableClass("5561E2ED-C2DA-439B-A410-AE732F16136D")]
   [Item("BinaryVector", "Represents a vector of binary values.")]
   public class BinaryVector : BoolArray {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("BinaryVectorCreator", "A base class for operators creating bool-valued vectors.")]
-  [StorableClass]
+  [StorableClass("C2041803-B5DC-4B53-BC2F-E056696C4BF0")]
   public abstract class BinaryVectorCreator : InstrumentedOperator, IBinaryVectorCreator, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCrossover.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("BinaryVectorCrossover", "A base class for operators that perform a crossover of bool-valued vectors.")]
-  [StorableClass]
+  [StorableClass("8544DEAB-A98E-4098-8067-025ED741B2B0")]
   public abstract class BinaryVectorCrossover : InstrumentedOperator, IBinaryVectorCrossover, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorEncoding.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorEncoding.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorEncoding.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("BinaryVectorEncoding", "Describes a binary vector encoding.")]
-  [StorableClass]
+  [StorableClass("9BE0D561-3A83-4F7D-A51C-D6B8E6C1E9B7")]
   public sealed class BinaryVectorEncoding : Encoding<IBinaryVectorCreator> {
     #region Encoding Parameters
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorManipulator.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("BinaryVectorManipulator", "A base class for operators that manipulate bool-valued vectors.")]
-  [StorableClass]
+  [StorableClass("F71DBCA2-B5B1-4BA0-B6EE-B65F41BDF805")]
   public abstract class BinaryVectorManipulator : InstrumentedOperator, IBinaryVectorManipulator, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Creators/RandomBinaryVectorCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Creators/RandomBinaryVectorCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Creators/RandomBinaryVectorCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("RandomBinaryVectorCreator", "An operator which creates a new random binary vector with each element randomly initialized.")]
-  [StorableClass]
+  [StorableClass("6633A89D-B65E-4F8B-A0E9-E00DC81E7420")]
   public sealed class RandomBinaryVectorCreator : BinaryVectorCreator {
     private const string TrueProbabilityParameterName = "TrueProbability";
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/MultiBinaryVectorCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/MultiBinaryVectorCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/MultiBinaryVectorCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("MultiBinaryVectorCrossover", "Randomly selects and applies one of its crossovers every time it is called.")]
-  [StorableClass]
+  [StorableClass("8E28F7C6-515F-410F-8229-3721FF704075")]
   public class MultiBinaryVectorCrossover : StochasticMultiBranch<IBinaryVectorCrossover>, IBinaryVectorCrossover, IStochasticOperator {
     public override bool CanChangeName {
